GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Variables
surface_trace.h File Reference
`#include "src/core/debug/trace.h"`
`#include <grpc/support/log.h>`

Go to the source code of this file.

## Macros
#define | GRPC_SURFACE_TRACE_RETURNED_EVENT(cq, event)

## Variables
int | grpc_surface_trace

## Macro Definition Documentation

#define GRPC_SURFACE_TRACE_RETURNED_EVENT | ( |  | cq,
|  |  | event
| ) |  |

Value:
if (grpc_surface_trace) { \
char *_ev = grpc_event_string(event); \
gpr_log(GPR_INFO, "RETURN_EVENT[%p]: %s", cq, _ev); \
gpr_free(_ev); \
}
GPR_INFO
#define GPR_INFO
Definition: log.h:67
gpr_free
void gpr_free(void *ptr)
Definition: alloc.c:47
gpr_log
void gpr_log(const char *file, int line, gpr_log_severity severity, const char *format,...)
grpc_event_string
char * grpc_event_string(grpc_event *ev)
Definition: event_string.c:56
grpc_surface_trace
int grpc_surface_trace
Definition: surface_trace.c:36

## Variable Documentation

int grpc_surface_trace